# -*- coding: utf-8 -*-
%define	version	1.0b3
%define release alt1

%setup_python_module musicbrainz

Summary: Python binding for libmusicbrainz
Summary(ru_RU.UTF-8): Обертка на Python для доступа к libmusicbrainz
Name: %packagename
Version: %version
Release: %release
Source: python-%modulename-%version-picard.tar.gz
License: GPL
Group: Development/Python
Prefix: %_prefix
Url: http://musicbrainz.org/

Requires: python-module-ctypes libmusicbrainz

# Automatically added by buildreq on Mon May 16 2005
BuildRequires: python-base python-dev python-module-ctypes python-modules-compiler python-modules-encodings libmusicbrainz

%description
This is a straight python to c binding for libmusicbrainz. It uses
ctypes to avoid having to write c code. This module is used primarily
within Picard - the next generation MusicBrainz tagger.

This module is built for python %__python_version

%description -l ru_RU.UTF-8
Этот модуль предоставляет достаточно простую и прямую обертку на
Python для библиотеки libmusicbrainz на C. Он использует ctypes, чтобы
не писать никакого дополнительного кода на C. Этот модуль в основном
предназначен для использования в Picard - тэггере MusicBrainz нового
поколения.

Этот модуль собран для Python версии %__python_version

%package -n python-%modulename-doc
Summary: %modulename example programs
Summary(ru_RU.UTF-8): Примеры программ для %modulename
Group: Development/Python
Prefix: %_prefix
Requires: python-%modulename = %version
%description -n  python-%modulename-doc
%modulename provides Python to C binding for libmusicbrainz. Install
python-%modulename-doc if you need examples for this module.

%description -n  python-%modulename-doc -l ru_RU.UTF-8
%modulename предоставляет оболочку Python для библиотеки
libmusicbrainz на C. Установите python-%modulename-doc, если Вам
требуются примеры программ с использованием данного модуля.

%prep
%setup -q -n python-%modulename-%version-picard

%build
env CFLAGS="$RPM_OPT_FLAGS -fPIC" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc README COPYING

%files -n python-%modulename-doc
%doc examples

%changelog
* Tue Nov 29 2005 Mikhail Yakshin <greycat@altlinux.org> 1.0b3-alt1
- Initial build for ALT Linux

